{% extends "base_homes.html" %}

{% block article %}

    {% if login %}

        <div class="alert alert-success" role="alert"><strong><em>Want to Write an Article ? Click <a href="{% url 'new_article' %}">Here</a></em></strong></div>

    {% else %}

        <div class="alert alert-danger" role="alert"><strong><em>You Need to Login to Post an Article.</em></strong></div>

    {% endif %}

    <div><h1 align="center">Article Category : {{ category }}</h1></div>
    
    <!-- First Blog Post -->

    {% for article in articles %}

        <ul class="list-group">

            {% if article.pinned %}
                <li class="list-group-item text-muted"> <p style="color: red"><b>Pinned Article</b></p> </li>
            {% endif %}
                <li class="list-group-item text-muted"> <h2><a href="{% url 'article' article.id %}">{{ article.title }}</a></h2> </li>

                <li class="list-group-item text-muted"> <em>by <a href="{% url 'profile' article.writer %}">{{ article.writer}}</a></em> </li>

                <li class="list-group-item text-muted"> <span class="pull-right"> {{ article.created }} </span>Category : <a href="{% url 'tag' article.category %}">{{ article.category}}</a> </li>

                {% if article.image %}
                    <li class="list-group-item text-muted"> <p align="center"><img class="img-responsive" src="{{ article.image.url }}" style="width: 400px; height: 300px; box-shadow: 10px 10px 5px #888888;" alt=""></p> </li>
                {% endif %}

                <li class="list-group-item text-muted"> <article> {{ article.body|safe|truncatewords_html:20 }} </article> <br /> <a class="btn btn-primary" href="{% url 'article' article.id %}">Read More ...</a> </li>

        </ul>

    {% endfor %}
   
{% endblock article%}